System requirements for InfoSphere Optim pureQuery Runtime for z/OS, Version 3.2

Product documentation


Abstract

Before installing the product, verify that your system and your data sources meet these requirements.

Content

Operating system requirements


This product support the following platforms:

Platform Notes
z/OS 1.12 System z and future OS fix packs (64 bit)


Software requirements


Java environment

Java™ Runtime Environment 1.5.0 compatible or higher except when running the pureQuery Generator utility. The Generator utility requires Java Runtime Environment 1.6.0 compatible or higher.


Client software

  • For JDBC 3.0 applications: IBM® Data Server Driver for JDBC and SQLJ V3.57 or later
  • For JDBC 4.0 applications: IBM Data Server Driver for JDBC and SQLJ V4.7 or later

Note: For both versions of IBM Data Server Driver for JDBC and SQLJ: APAR PK87567



Data sources

InfoSphere Optim pureQuery Runtime for z/OS Version 3.1.1 supports the following data sources:

Database platform Notes
DB2 for Linux, UNIX, and Windows
DB2 Advanced Enterprise Server Version 10.1
DB2 Enterprise Server Version 10.1
DB2 Workgroup Server Version 10.1
DB2 Enterprise Server Version 9.5 and future fix packs (overview) (support)
DB2 Enterprise Server Version 9.7 and future fix packs (overview) (support)
DB2 pureScale Feature for Enterprise Server Version 9.8 and future fix packs
DB2 for i
DB2 for i 6.1 and future fix packs IBM System i V6.1 R1 requires PTF SI41400 and SI41401
DB2 for i 7.1 and future fix packs IBM System i V7.1 R1 requires PTF SI41398 and SI41399
DB2 for z/OS
DB2 for z/OS 9.1 and future fix packs (overview) (support)
DB2 for z/OS 10.1 and future fix packs (overview) (support)
Informix
Informix Dynamic Server Enterprise Edition 11.50 and future fix packs (overview) (support) Only supported for Java and DB2 CLI (not .NET).
IBM Informix 11.70 and future fix packs (overview) (support) Informix Dynamic Server 11.7.
Oracle
Oracle Database 10g Standard/Enterprise Edition Release 1
Oracle Database 10g Standard/Enterprise Edition Release 2
Oracle Database 11g Standard/Enterprise Edition Release 1


Requirements for SQL Management repository

With Optim pureQuery Runtime Version 2.2.0.3 or later, you can create an SQL Management repository in a database. The repository can store pureQuery configuration information, pureQueryXML data, and captured SQL data. The following database platforms can be used to create a repository:

Data source Notes
DB2 Linux, UNIX, and Windows
DB2 Advanced Enterprise Server Version 10.1
DB2 Advanced Enterprise Server Version 9.7 and future fix packs (overview) (support)
DB2 Enterprise Server Version 10.1
DB2 Enterprise Server Version 9.5 and future fix packs (overview) (support)
DB2 Enterprise Server Version 9.7 and future fix packs (overview) (support)
DB2 pureScale Feature for Enterprise Server Version 9.8 and future fix packs Toleration only. Support only for DB2 Version 9.7 features.
DB2 Workgroup Server Version 10.1
DB2 Workgroup Server Version 9.5 and future fix packs (overview) (support)
DB2 Workgroup Server Version 9.7 and future fix packs (overview) (support)
DB2 for i
DB2 for i 7.1 and future fix packs Toleration only. Support only for DB2 for i5/OS V5R4 features.
DB2 for i 6.1 and future fix packs Toleration only. Support only for DB2 for i5/OS V5R4 features.
DB2 for z/OS
DB2 for z/OS 9.1 and future fix packs (overview) (support)
DB2 for z/OS 10.1 and future fix packs (overview) (support)
Oracle
Oracle Database 10g Standard/Enterprise Editions Release 1
Oracle Database 10g Standard/Enterprise Editions Release 2
Oracle Database 11g Standard/Enterprise Editions Release 1


Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

InfoSphere Optim pureQuery Runtime for z/OS

Software version:

3.2

Operating system(s):

z/OS

Reference #:

7036429

Modified date:

2012-12-07

Translate my page

Machine Translation

Content navigation